VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Attributes
vmware::vapi::std::errors::StructDefinitions Class Reference

Defines the type descriptors for the top-level types in `com.vmware.vapi.std.errors` package. More...

List of all members.

## Static Public Attributes
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | alreadyExists
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | alreadyInDesiredState
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | argumentLocations
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | canceled
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | concurrentChange
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | error
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | featureInUse
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | fileLocations
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | internalServerError
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | invalidArgument
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | invalidElementConfiguration
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | invalidElementType
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | invalidRequest
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | notAllowedInCurrentState
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | notFound
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | operationNotFound
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | resourceBusy
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | resourceInUse
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | resourceInaccessible
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | serviceUnavailable
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | timedOut
static global::System.Lazy < vmware.vapi.bindings.type.StructType > | transientIndication
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | unableToAllocateResource
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | unauthenticated
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | unauthorized
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | unexpectedInput
static global::System.Lazy < vmware.vapi.bindings.type.ErrorType > | unsupported

## Detailed Description

Defines the type descriptors for the top-level types in `com.vmware.vapi.std.errors` package.

WARNING: Internal API, subject to change in future versions.

## Member Data Documentation

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::alreadyExists`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.already_exists", fields, typeof(vmware.vapi.std.errors.AlreadyExists));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::alreadyInDesiredState`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.already_in_desired_state", fields, typeof(vmware.vapi.std.errors.AlreadyInDesiredState));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::std::errors::StructDefinitions::argumentLocations`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("primary", new vmware.vapi.bindings.type.StringType());
                    fields.Add("secondary", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.std.errors.argument_locations", fields, typeof(vmware.vapi.std.errors.ArgumentLocations), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::canceled`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.canceled", fields, typeof(vmware.vapi.std.errors.Canceled));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::concurrentChange`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.concurrent_change", fields, typeof(vmware.vapi.std.errors.ConcurrentChange));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::error`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.error", fields, typeof(vmware.vapi.std.errors.Error));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::featureInUse`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.feature_in_use", fields, typeof(vmware.vapi.std.errors.FeatureInUse));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::std::errors::StructDefinitions::fileLocations`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("primary", new vmware.vapi.bindings.type.StringType());
                    fields.Add("secondary", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.StringType()));
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.std.errors.file_locations", fields, typeof(vmware.vapi.std.errors.FileLocations), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::internalServerError`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.internal_server_error", fields, typeof(vmware.vapi.std.errors.InternalServerError));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::invalidArgument`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.invalid_argument", fields, typeof(vmware.vapi.std.errors.InvalidArgument));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::invalidElementConfiguration`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.invalid_element_configuration", fields, typeof(vmware.vapi.std.errors.InvalidElementConfiguration));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::invalidElementType`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.invalid_element_type", fields, typeof(vmware.vapi.std.errors.InvalidElementType));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::invalidRequest`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.invalid_request", fields, typeof(vmware.vapi.std.errors.InvalidRequest));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::notAllowedInCurrentState`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.not_allowed_in_current_state", fields, typeof(vmware.vapi.std.errors.NotAllowedInCurrentState));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::notFound`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.not_found", fields, typeof(vmware.vapi.std.errors.NotFound));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::operationNotFound`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.operation_not_found", fields, typeof(vmware.vapi.std.errors.OperationNotFound));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::resourceBusy`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.resource_busy", fields, typeof(vmware.vapi.std.errors.ResourceBusy));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::resourceInaccessible`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.resource_inaccessible", fields, typeof(vmware.vapi.std.errors.ResourceInaccessible));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::resourceInUse`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.resource_in_use", fields, typeof(vmware.vapi.std.errors.ResourceInUse));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::serviceUnavailable`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.service_unavailable", fields, typeof(vmware.vapi.std.errors.ServiceUnavailable));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::timedOut`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.timed_out", fields, typeof(vmware.vapi.std.errors.TimedOut));
                })

global::System.Lazy<vmware.vapi.bindings.type.StructType> vmware::vapi::std::errors::StructDefinitions::transientIndication`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.StructType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("is_transient", new vmware.vapi.bindings.type.BooleanType());
                    global::System.Collections.Generic.List<vmware.vapi.data.ConstraintValidator> validators = null;
                    return new vmware.vapi.bindings.type.StructType("com.vmware.vapi.std.errors.transient_indication", fields, typeof(vmware.vapi.std.errors.TransientIndication), validators, false, null);
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::unableToAllocateResource`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.unable_to_allocate_resource", fields, typeof(vmware.vapi.std.errors.UnableToAllocateResource));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::unauthenticated`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.unauthenticated", fields, typeof(vmware.vapi.std.errors.Unauthenticated));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::unauthorized`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.unauthorized", fields, typeof(vmware.vapi.std.errors.Unauthorized));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::unexpectedInput`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.unexpected_input", fields, typeof(vmware.vapi.std.errors.UnexpectedInput));
                })

global::System.Lazy<vmware.vapi.bindings.type.ErrorType> vmware::vapi::std::errors::StructDefinitions::unsupported`[static]`

Initial value:

                new global::System.Lazy<vmware.vapi.bindings.type.ErrorType>(() =>
                {
                    global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType> fields =
                        new global::System.Collections.Generic.Dictionary<string, vmware.vapi.bindings.type.IType>();
                    fields.Add("messages", new vmware.vapi.bindings.type.ListType(new vmware.vapi.bindings.type.TypeReferenceImpl(new global::System.Lazy<vmware.vapi.bindings.type.IType>(() => vmware.vapi.std.StructDefinitions.localizableMessage.Value))));
                    fields.Add("data", new vmware.vapi.bindings.type.OptionalType(new vmware.vapi.bindings.type.DynamicStructType()));
                    return new vmware.vapi.bindings.type.ErrorType("com.vmware.vapi.std.errors.unsupported", fields, typeof(vmware.vapi.std.errors.Unsupported));
                })

The documentation for this class was generated from the following file:

- vapi/std/errors/StructDefinitions.cs